### File

`packages/ecl/components/ecl-radio/ecl-radio-input.directive.ts`

### Description

Directive that decorates native elements to be styled as ECL radio inputs.

Applies the proper ECL CSS classes and integrates with Angular forms to reflect validation states (invalid, disabled) in the parent ECL radio directive. Should be used together with the eclRadio directive.

### Extends

`ECLBaseDirective`

### Implements

`DoCheck`

### Metadata

Selector | `input[eclRadioInput]`

### Index

###### Properties
Public eclRadio
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(eclRadio: EclRadioDirective, ngControl: NgControl, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
eclRadio | `EclRadioDirective` | No
ngControl | `NgControl` | No
cd | `ChangeDetectorRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the CSS classes applied to the host input element. Includes the base ecl-radio__input class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public eclRadio
Type : `EclRadioDirective`
Decorators : `@Inject(undefined)`
Reference to the parent EclRadioDirective. Used internally to update radio validation and disabled states.

### Accessors

cssClasses
get `cssClasses()`
Returns the CSS classes applied to the host input element. Includes the base ecl-radio__input class. Returns : `string`

# results matching ""

# No results matching ""